Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libosip2
#Epoch:		0
Version:	3.3.0
Release:	1
License:	GNU/GPL
URL:		http://www.gnu.org/software/osip/
Group:		System/Libraries
Summary:	GNU implementation of SIP protocol
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
oSIP is an implementation of SIP.

SIP stands for the Session Initiation Protocol and is described by the rfc3261 (wich deprecates rfc2543). This library aims to provide multimedia and telecom software developers an easy and powerful interface to initiate and control SIP based sessions in their applications. SIP is a open standard replacement from IETF for H323.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_mandir}/man1/osip.1.gz
%{_libdir}/libosip2.so.*
%{_libdir}/libosipparser2.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/osip2/
%{_includedir}/osipparser2/
%{_libdir}/libosip2.so
%{_libdir}/libosipparser2.so
%{_libdir}/libosip2.a
%{_libdir}/libosipparser2.a
%{_libdir}/libosip2.la
%{_libdir}/libosipparser2.la
%{_pkgconfig}/libosip2.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 2-3.3.0-1
- initial CCux package release
